Browse Source

Bug 20011: use Modern::Perl in plugins perl scripts

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
18.05.x
Zoe Bennett 4 years ago
committed by Jonathan Druart
parent
commit
b0216c7ca0
  1. 3
      plugins/plugins-home.pl
  2. 3
      plugins/plugins-uninstall.pl
  3. 3
      plugins/plugins-upload.pl
  4. 3
      plugins/run.pl

3
plugins/plugins-home.pl

@ -17,8 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with Koha; if not, see <http://www.gnu.org/licenses>.
use strict;
use warnings;
use Modern::Perl;
use CGI qw ( -utf8 );

3
plugins/plugins-uninstall.pl

@ -15,8 +15,7 @@
# You should have received a copy of the GNU General Public License
# along with Koha; if not, see <http://www.gnu.org/licenses>.
use strict;
use warnings;
use Modern::Perl;
use Archive::Extract;
use File::Temp;

3
plugins/plugins-upload.pl

@ -16,8 +16,7 @@
# You should have received a copy of the GNU General Public License
# along with Koha; if not, see <http://www.gnu.org/licenses>.
use strict;
use warnings;
use Modern::Perl;
use Archive::Extract;
use File::Temp;

3
plugins/run.pl

@ -17,8 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with Koha; if not, see <http://www.gnu.org/licenses>.
use strict;
use warnings;
use Modern::Perl;
use CGI qw ( -utf8 );

Loading…
Cancel
Save